%define upstream_name	 XML-SAX
%define upstream_version 1.02

# skipping requires on perl modules not in perl-base but in perl pkg
# those requires are only used by PurePerl module, whereas we often use perl-XML-LibXML
# this is useful to ensure urpmi only need perl-base, not perl
%global __requires_exclude perl\\(File::Temp\\)|perl\\(Encode\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Simple API for XML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    ParserDetails.ini

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(XML::NamespaceSupport) >= 0.30.0
BuildRequires: perl(XML::SAX::Base) >= 1.50.0
BuildArch:  noarch

Provides:   perl(XML::SAX::PurePerl::DTDDecls)
Provides:   perl(XML::SAX::PurePerl::DocType)
Provides:   perl(XML::SAX::PurePerl::EncodingDetect)
Provides:   perl(XML::SAX::PurePerl::XMLDecl)

%description
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. It is designed around the
need to be able to "plug in" different SAX parsers to an application
without requiring programmer intervention. Those of you familiar with
the DBI will be right at home. Some of the designs come from the Java
JAXP specification (SAX part), only without the javaness.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes LICENSE README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
N
EOF
%make_build

%check
%make_build test

%install
%make_install PERL="perl -I%{buildroot}%{perl_vendorlib}/"
install -m 0644 %{_sourcedir}/ParserDetails.ini %{buildroot}%{perl_vendorlib}/XML/SAX/

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/XML
%{_mandir}/man3/XML::*.3*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.20.0-4.mga10
+ Revision: 2205611
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.20.0-3.mga9
+ Revision: 1811680
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.20.0-2.mga8
+ Revision: 1526796
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Jun 29 2019 shlomif <shlomif> 1.20.0-1.mga8
+ Revision: 1415879
- update to 1.02

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1287315
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 1.0.0-2.mga7
+ Revision: 1250587
- rebuild for perl-5.28

* Fri Feb 16 2018 tv <tv> 1.0.0-1.mga7
+ Revision: 1201713
- update to 1.00

* Sun Jun 19 2016 pterjan <pterjan> 0.990.0-9.mga6
+ Revision: 1036101
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.990.0-8.mga6
+ Revision: 949710
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.990.0-7.mga5
+ Revision: 790277
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.990.0-6.mga5
+ Revision: 746111
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.990.0-5.mga5
+ Revision: 686958
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.990.0-4.mga4
+ Revision: 516181
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.990.0-3.mga3
+ Revision: 375175
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 12 2012 jquelin <jquelin> 0.990.0-2.mga2
+ Revision: 223033
- adding source1
- ship ParserDetails.ini instead of altering it at un/install time (mga#2284)

* Mon Sep 26 2011 jquelin <jquelin> 0.990.0-1.mga2
+ Revision: 148527
- update to 0.99

* Wed Jan 19 2011 jquelin <jquelin> 0.960.0-1.mga1
+ Revision: 24262
- fix specs
- imported package perl-XML-SAX
+ spuhler <spuhler>
- removed buildroot definition from .spec
  commented the if mdkversion lines


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.960.0-1mdv2010.1
+ Revision: 408256
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.96-2mdv2009.1
+ Revision: 351667
- rebuild

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.96-1mdv2009.0
+ Revision: 270402
- update to new version 0.96

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.16-3mdv2009.0
+ Revision: 224652
- rebuild

* Fri Jan 11 2008 Pixel <pixel@mandriva.com> 0.16-2mdv2008.1
+ Revision: 147995
- skipping requires on perl modules not in perl-base but in perl pkg,
  (those requires are only used by PurePerl module, whereas we often use
  perl-XML-LibXML). this is useful to ensure urpmi only need perl-base, not perl

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2008.0
+ Revision: 46717
- update to new version 0.16

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.15-1mdv2008.0
+ Revision: 20681
- 0.15


* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 0.14-2mdv2007.0
+ Revision: 114828
- fix installation in iurt
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-XML-SAX

* Fri Apr 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdk
- new version  
- rpmbuildupdate aware
- spec cleanup
- %%mkrel
- better summary
- drop patch, use STDIN to feed MakeMaker

* Sat Oct 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.13-1mdk
- 0.13
- Fix URL

* Thu Sep 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.12-4mdk
- added rh fixes by Ville Skyttä:
  - Handle ParserDetails.ini parser registration.
  - Own installed directories.

